Package ru.bitel.bgbilling.plugins.news.common.service

# Interface NewsService

    public interface NewsService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `newsDelete​(int id)` |
  `News` | `newsGet​(int id)` |
  `java.util.List<News>` | `newsList​(Page page)` |
  `java.util.List<News>` | `newsListForContract​(java.util.List<java.lang.Integer> labelIds, Page page)` |
  `SearchResult<News>` | `newsSearch​(Page page)` |
  `int` | `newsUpdate​(News news)` |

- ## Method Details

  - ### newsGet

    News newsGet​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### newsUpdate

    int newsUpdate​(News news) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### newsDelete

    void newsDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### newsList

    java.util.List<News> newsList​(Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### newsSearch

    SearchResult<News> newsSearch​(Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### newsListForContract

    java.util.List<News> newsListForContract​(java.util.List<java.lang.Integer> labelIds, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`